Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Ruby > sudo gem update --system Takes Greater Than A Minute

Reply
Thread Tools

sudo gem update --system Takes Greater Than A Minute

 
 
Brian Puccio
Guest
Posts: n/a
 
      03-02-2008
Hi everyone,

New to ruby (on rails) in general, googled for an answer, but I can't
tell if this is normal behavior. On a new Oct-core Mac Pro, nothing
else running, gem update--system takes a while, without any noticeable
CPU use or harddrive use. Any idea why, or is this normal?

(If I switch to a virtualized instance of linux, an apt-get update &&
apt-get dist-upgrade takes seconds at most, to give you an idea.)

Full excerpt below...

Thanks!

Macintosh:~ brianpuccio$ time sudo gem update --system
Password:
Updating RubyGems...
Attempting remote update of rubygems-update
Successfully installed rubygems-update-1.0.1
1 gem installed
Updating version of RubyGems to 1.0.1
Installing RubyGems 1.0.1
mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
lib/ruby/lib
mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
lib/ruby/bin
install -c -m 0644 rbconfig/datadir.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rbconfig/datadir.rb
install -c -m 0644 rubygems/builder.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/builder.rb
install -c -m 0644 rubygems/command.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/command.rb
install -c -m 0644 rubygems/command_manager.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
command_manager.rb
install -c -m 0644 rubygems/commands/build_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/build_command.rb
install -c -m 0644 rubygems/commands/cert_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/cert_command.rb
install -c -m 0644 rubygems/commands/check_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/check_command.rb
install -c -m 0644 rubygems/commands/cleanup_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/cleanup_command.rb
install -c -m 0644 rubygems/commands/contents_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/contents_command.rb
install -c -m 0644 rubygems/commands/dependency_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/dependency_command.rb
install -c -m 0644 rubygems/commands/environment_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/environment_command.rb
install -c -m 0644 rubygems/commands/fetch_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/fetch_command.rb
install -c -m 0644 rubygems/commands/generate_index_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/generate_index_command.rb
install -c -m 0644 rubygems/commands/help_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/help_command.rb
install -c -m 0644 rubygems/commands/install_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/install_command.rb
install -c -m 0644 rubygems/commands/list_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/list_command.rb
install -c -m 0644 rubygems/commands/lock_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/lock_command.rb
install -c -m 0644 rubygems/commands/mirror_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/mirror_command.rb
install -c -m 0644 rubygems/commands/outdated_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/outdated_command.rb
install -c -m 0644 rubygems/commands/pristine_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/pristine_command.rb
install -c -m 0644 rubygems/commands/query_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/query_command.rb
install -c -m 0644 rubygems/commands/rdoc_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/rdoc_command.rb
install -c -m 0644 rubygems/commands/search_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/search_command.rb
install -c -m 0644 rubygems/commands/server_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/server_command.rb
install -c -m 0644 rubygems/commands/sources_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/sources_command.rb
install -c -m 0644 rubygems/commands/specification_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/specification_command.rb
install -c -m 0644 rubygems/commands/uninstall_command.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/commands/uninstall_command.rb
install -c -m 0644 rubygems/commands/unpack_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/unpack_command.rb
install -c -m 0644 rubygems/commands/update_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/update_command.rb
install -c -m 0644 rubygems/commands/which_command.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
commands/which_command.rb
install -c -m 0644 rubygems/config_file.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/config_file.rb
install -c -m 0644 rubygems/custom_require.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
custom_require.rb
install -c -m 0644 rubygems/defaults.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/defaults.rb
install -c -m 0644 rubygems/dependency.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/dependency.rb
install -c -m 0644 rubygems/dependency_installer.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
dependency_installer.rb
install -c -m 0644 rubygems/dependency_list.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
dependency_list.rb
install -c -m 0644 rubygems/digest/digest_adapter.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
digest/digest_adapter.rb
install -c -m 0644 rubygems/digest/md5.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/digest/md5.rb
install -c -m 0644 rubygems/digest/sha1.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/digest/sha1.rb
install -c -m 0644 rubygems/digest/sha2.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/digest/sha2.rb
install -c -m 0644 rubygems/doc_manager.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/doc_manager.rb
install -c -m 0644 rubygems/exceptions.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/exceptions.rb
install -c -m 0644 rubygems/ext/builder.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/builder.rb
install -c -m 0644 rubygems/ext/configure_builder.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
configure_builder.rb
install -c -m 0644 rubygems/ext/ext_conf_builder.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
ext_conf_builder.rb
install -c -m 0644 rubygems/ext/rake_builder.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
rake_builder.rb
install -c -m 0644 rubygems/ext.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext.rb
install -c -m 0644 rubygems/format.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/format.rb
install -c -m 0644 rubygems/gem_open_uri.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/gem_open_uri.rb
install -c -m 0644 rubygems/gem_openssl.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/gem_openssl.rb
install -c -m 0644 rubygems/gem_path_searcher.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
gem_path_searcher.rb
install -c -m 0644 rubygems/gem_runner.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/gem_runner.rb
install -c -m 0644 rubygems/indexer/abstract_index_builder.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/indexer/abstract_index_builder.rb
install -c -m 0644 rubygems/indexer/marshal_index_builder.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/indexer/marshal_index_builder.rb
install -c -m 0644 rubygems/indexer/master_index_builder.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/indexer/master_index_builder.rb
install -c -m 0644 rubygems/indexer/quick_index_builder.rb /System/
Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
rubygems/indexer/quick_index_builder.rb
install -c -m 0644 rubygems/indexer.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/indexer.rb
install -c -m 0644 rubygems/install_update_options.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
install_update_options.rb
install -c -m 0644 rubygems/installer.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/installer.rb
install -c -m 0644 rubygems/local_remote_options.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
local_remote_options.rb
install -c -m 0644 rubygems/old_format.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/old_format.rb
install -c -m 0644 rubygems/open-uri.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/open-uri.rb
install -c -m 0644 rubygems/package.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/package.rb
install -c -m 0644 rubygems/platform.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/platform.rb
install -c -m 0644 rubygems/remote_fetcher.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
remote_fetcher.rb
install -c -m 0644 rubygems/require_paths_builder.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
require_paths_builder.rb
install -c -m 0644 rubygems/requirement.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/requirement.rb
install -c -m 0644 rubygems/rubygems_version.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
rubygems_version.rb
install -c -m 0644 rubygems/security.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/security.rb
install -c -m 0644 rubygems/server.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/server.rb
install -c -m 0644 rubygems/source_index.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/source_index.rb
install -c -m 0644 rubygems/source_info_cache.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
source_info_cache.rb
install -c -m 0644 rubygems/source_info_cache_entry.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
source_info_cache_entry.rb
install -c -m 0644 rubygems/specification.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
specification.rb
install -c -m 0644 rubygems/timer.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/timer.rb
install -c -m 0644 rubygems/uninstaller.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/uninstaller.rb
install -c -m 0644 rubygems/user_interaction.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
user_interaction.rb
install -c -m 0644 rubygems/validator.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/validator.rb
install -c -m 0644 rubygems/version.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/version.rb
install -c -m 0644 rubygems/version_option.rb /System/Library/
Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
version_option.rb
install -c -m 0644 rubygems.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems.rb
install -c -m 0644 ubygems.rb /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/lib/ubygems.rb
cp gem /tmp/gem
install -c -m 0755 /tmp/gem /System/Library/Frameworks/Ruby.framework/
Versions/1.8/usr/lib/ruby/bin/gem
rm /tmp/gem
cp update_rubygems /tmp/update_rubygems
install -c -m 0755 /tmp/update_rubygems /System/Library/Frameworks/
Ruby.framework/Versions/1.8/usr/lib/ruby/bin/update_rubygems
rm /tmp/update_rubygems
rm /Library/Ruby/Gems/1.8/source_cache
Removing old RubyGems RDoc and ri...
rm -rf /Library/Ruby/Gems/1.8/doc/rubygems-1.0.1
Installing rubygems-1.0.1 ri into /Library/Ruby/Gems/1.8/doc/
rubygems-1.0.1/ri...
Installing rubygems-1.0.1 rdoc into /Library/Ruby/Gems/1.8/doc/
rubygems-1.0.1/rdoc...
As of RubyGems 0.8.0, library stubs are no longer needed.
Searching $LOAD_PATH for stubs to optionally delete (may take a
while)...
...done.
No library stubs found.
RubyGems system software updated

real 1m19.744s
user 0m15.657s
sys 0m0.751s
Macintosh:~ brianpuccio$


 
Reply With Quote
 
 
 
 
Bobby Wilson
Guest
Posts: n/a
 
      03-02-2008
Hey Brian,

That is quite a system you have. 'gem update --system' downloads a
whole slew of metadata so this is taxing your network connection more
than the machine itself. And from my experience I would describe your
time as "normal". 'apt-get update && apt-get dist-upgrade' is a much
different process to compare against 'gem update --system' it is
really apples and oranges.

-Bobby

On Mar 2, 2008, at 1:21 PM, Brian Puccio wrote:

> Hi everyone,
>
> New to ruby (on rails) in general, googled for an answer, but I
> can't tell if this is normal behavior. On a new Oct-core Mac Pro,
> nothing else running, gem update--system takes a while, without any
> noticeable CPU use or harddrive use. Any idea why, or is this normal?
>
> (If I switch to a virtualized instance of linux, an apt-get update
> && apt-get dist-upgrade takes seconds at most, to give you an idea.)
>
> Full excerpt below...
>
> Thanks!
>
> Macintosh:~ brianpuccio$ time sudo gem update --system
> Password:
> Updating RubyGems...
> Attempting remote update of rubygems-update
> Successfully installed rubygems-update-1.0.1
> 1 gem installed
> Updating version of RubyGems to 1.0.1
> Installing RubyGems 1.0.1
> mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
> lib/ruby/lib
> mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
> lib/ruby/bin
> install -c -m 0644 rbconfig/datadir.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rbconfig/datadir.rb
> install -c -m 0644 rubygems/builder.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/builder.rb
> install -c -m 0644 rubygems/command.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/command.rb
> install -c -m 0644 rubygems/command_manager.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> command_manager.rb
> install -c -m 0644 rubygems/commands/build_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/build_command.rb
> install -c -m 0644 rubygems/commands/cert_command.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> commands/cert_command.rb
> install -c -m 0644 rubygems/commands/check_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/check_command.rb
> install -c -m 0644 rubygems/commands/cleanup_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/cleanup_command.rb
> install -c -m 0644 rubygems/commands/contents_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/contents_command.rb
> install -c -m 0644 rubygems/commands/dependency_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/dependency_command.rb
> install -c -m 0644 rubygems/commands/environment_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/environment_command.rb
> install -c -m 0644 rubygems/commands/fetch_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/fetch_command.rb
> install -c -m 0644 rubygems/commands/generate_index_command.rb /
> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
> lib/rubygems/commands/generate_index_command.rb
> install -c -m 0644 rubygems/commands/help_command.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> commands/help_command.rb
> install -c -m 0644 rubygems/commands/install_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/install_command.rb
> install -c -m 0644 rubygems/commands/list_command.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> commands/list_command.rb
> install -c -m 0644 rubygems/commands/lock_command.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> commands/lock_command.rb
> install -c -m 0644 rubygems/commands/mirror_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/mirror_command.rb
> install -c -m 0644 rubygems/commands/outdated_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/outdated_command.rb
> install -c -m 0644 rubygems/commands/pristine_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/pristine_command.rb
> install -c -m 0644 rubygems/commands/query_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/query_command.rb
> install -c -m 0644 rubygems/commands/rdoc_command.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> commands/rdoc_command.rb
> install -c -m 0644 rubygems/commands/search_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/search_command.rb
> install -c -m 0644 rubygems/commands/server_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/server_command.rb
> install -c -m 0644 rubygems/commands/sources_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/sources_command.rb
> install -c -m 0644 rubygems/commands/specification_command.rb /
> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
> lib/rubygems/commands/specification_command.rb
> install -c -m 0644 rubygems/commands/uninstall_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/uninstall_command.rb
> install -c -m 0644 rubygems/commands/unpack_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/unpack_command.rb
> install -c -m 0644 rubygems/commands/update_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/update_command.rb
> install -c -m 0644 rubygems/commands/which_command.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/commands/which_command.rb
> install -c -m 0644 rubygems/config_file.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> config_file.rb
> install -c -m 0644 rubygems/custom_require.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> custom_require.rb
> install -c -m 0644 rubygems/defaults.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/defaults.rb
> install -c -m 0644 rubygems/dependency.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/dependency.rb
> install -c -m 0644 rubygems/dependency_installer.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> dependency_installer.rb
> install -c -m 0644 rubygems/dependency_list.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> dependency_list.rb
> install -c -m 0644 rubygems/digest/digest_adapter.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> digest/digest_adapter.rb
> install -c -m 0644 rubygems/digest/md5.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/digest/md5.rb
> install -c -m 0644 rubygems/digest/sha1.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> digest/sha1.rb
> install -c -m 0644 rubygems/digest/sha2.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> digest/sha2.rb
> install -c -m 0644 rubygems/doc_manager.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> doc_manager.rb
> install -c -m 0644 rubygems/exceptions.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/exceptions.rb
> install -c -m 0644 rubygems/ext/builder.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
> builder.rb
> install -c -m 0644 rubygems/ext/configure_builder.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
> configure_builder.rb
> install -c -m 0644 rubygems/ext/ext_conf_builder.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
> ext_conf_builder.rb
> install -c -m 0644 rubygems/ext/rake_builder.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext/
> rake_builder.rb
> install -c -m 0644 rubygems/ext.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext.rb
> install -c -m 0644 rubygems/format.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/format.rb
> install -c -m 0644 rubygems/gem_open_uri.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> gem_open_uri.rb
> install -c -m 0644 rubygems/gem_openssl.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> gem_openssl.rb
> install -c -m 0644 rubygems/gem_path_searcher.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> gem_path_searcher.rb
> install -c -m 0644 rubygems/gem_runner.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/gem_runner.rb
> install -c -m 0644 rubygems/indexer/abstract_index_builder.rb /
> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
> lib/rubygems/indexer/abstract_index_builder.rb
> install -c -m 0644 rubygems/indexer/marshal_index_builder.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/indexer/marshal_index_builder.rb
> install -c -m 0644 rubygems/indexer/master_index_builder.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/indexer/master_index_builder.rb
> install -c -m 0644 rubygems/indexer/quick_index_builder.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/indexer/quick_index_builder.rb
> install -c -m 0644 rubygems/indexer.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/indexer.rb
> install -c -m 0644 rubygems/install_update_options.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/install_update_options.rb
> install -c -m 0644 rubygems/installer.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/installer.rb
> install -c -m 0644 rubygems/local_remote_options.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> local_remote_options.rb
> install -c -m 0644 rubygems/old_format.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/old_format.rb
> install -c -m 0644 rubygems/open-uri.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/open-uri.rb
> install -c -m 0644 rubygems/package.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/package.rb
> install -c -m 0644 rubygems/platform.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/platform.rb
> install -c -m 0644 rubygems/remote_fetcher.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> remote_fetcher.rb
> install -c -m 0644 rubygems/require_paths_builder.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> require_paths_builder.rb
> install -c -m 0644 rubygems/requirement.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> requirement.rb
> install -c -m 0644 rubygems/rubygems_version.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> rubygems_version.rb
> install -c -m 0644 rubygems/security.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/security.rb
> install -c -m 0644 rubygems/server.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/server.rb
> install -c -m 0644 rubygems/source_index.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> source_index.rb
> install -c -m 0644 rubygems/source_info_cache.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> source_info_cache.rb
> install -c -m 0644 rubygems/source_info_cache_entry.rb /System/
> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
> rubygems/source_info_cache_entry.rb
> install -c -m 0644 rubygems/specification.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> specification.rb
> install -c -m 0644 rubygems/timer.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/timer.rb
> install -c -m 0644 rubygems/uninstaller.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> uninstaller.rb
> install -c -m 0644 rubygems/user_interaction.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> user_interaction.rb
> install -c -m 0644 rubygems/validator.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/validator.rb
> install -c -m 0644 rubygems/version.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/version.rb
> install -c -m 0644 rubygems/version_option.rb /System/Library/
> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
> version_option.rb
> install -c -m 0644 rubygems.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems.rb
> install -c -m 0644 ubygems.rb /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/ubygems.rb
> cp gem /tmp/gem
> install -c -m 0755 /tmp/gem /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/bin/gem
> rm /tmp/gem
> cp update_rubygems /tmp/update_rubygems
> install -c -m 0755 /tmp/update_rubygems /System/Library/Frameworks/
> Ruby.framework/Versions/1.8/usr/lib/ruby/bin/update_rubygems
> rm /tmp/update_rubygems
> rm /Library/Ruby/Gems/1.8/source_cache
> Removing old RubyGems RDoc and ri...
> rm -rf /Library/Ruby/Gems/1.8/doc/rubygems-1.0.1
> Installing rubygems-1.0.1 ri into /Library/Ruby/Gems/1.8/doc/
> rubygems-1.0.1/ri...
> Installing rubygems-1.0.1 rdoc into /Library/Ruby/Gems/1.8/doc/
> rubygems-1.0.1/rdoc...
> As of RubyGems 0.8.0, library stubs are no longer needed.
> Searching $LOAD_PATH for stubs to optionally delete (may take a
> while)...
> ...done.
> No library stubs found.
> RubyGems system software updated
>
> real 1m19.744s
> user 0m15.657s
> sys 0m0.751s
> Macintosh:~ brianpuccio$
>
>



 
Reply With Quote
 
 
 
 
Brian Puccio
Guest
Posts: n/a
 
      03-02-2008
Ah, OK, so normal. This is a network bottleneck and not a CPu or RAM
or harddrive bottleneck. No problem!

Thanks for the quick feedback!

On Mar 2, 2008, at 5:05 PM, Bobby Wilson wrote:

> Hey Brian,
>
> That is quite a system you have. 'gem update --system' downloads a
> whole slew of metadata so this is taxing your network connection
> more than the machine itself. And from my experience I would
> describe your time as "normal". 'apt-get update && apt-get dist-
> upgrade' is a much different process to compare against 'gem update
> --system' it is really apples and oranges.
>
> -Bobby
>
> On Mar 2, 2008, at 1:21 PM, Brian Puccio wrote:
>
>> Hi everyone,
>>
>> New to ruby (on rails) in general, googled for an answer, but I
>> can't tell if this is normal behavior. On a new Oct-core Mac Pro,
>> nothing else running, gem update--system takes a while, without any
>> noticeable CPU use or harddrive use. Any idea why, or is this normal?
>>
>> (If I switch to a virtualized instance of linux, an apt-get update
>> && apt-get dist-upgrade takes seconds at most, to give you an idea.)
>>
>> Full excerpt below...
>>
>> Thanks!
>>
>> Macintosh:~ brianpuccio$ time sudo gem update --system
>> Password:
>> Updating RubyGems...
>> Attempting remote update of rubygems-update
>> Successfully installed rubygems-update-1.0.1
>> 1 gem installed
>> Updating version of RubyGems to 1.0.1
>> Installing RubyGems 1.0.1
>> mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
>> lib/ruby/lib
>> mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/
>> lib/ruby/bin
>> install -c -m 0644 rbconfig/datadir.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rbconfig/datadir.rb
>> install -c -m 0644 rubygems/builder.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/builder.rb
>> install -c -m 0644 rubygems/command.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/command.rb
>> install -c -m 0644 rubygems/command_manager.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> command_manager.rb
>> install -c -m 0644 rubygems/commands/build_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/build_command.rb
>> install -c -m 0644 rubygems/commands/cert_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/cert_command.rb
>> install -c -m 0644 rubygems/commands/check_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/check_command.rb
>> install -c -m 0644 rubygems/commands/cleanup_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/cleanup_command.rb
>> install -c -m 0644 rubygems/commands/contents_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/contents_command.rb
>> install -c -m 0644 rubygems/commands/dependency_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/dependency_command.rb
>> install -c -m 0644 rubygems/commands/environment_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/environment_command.rb
>> install -c -m 0644 rubygems/commands/fetch_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/fetch_command.rb
>> install -c -m 0644 rubygems/commands/generate_index_command.rb /
>> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
>> lib/rubygems/commands/generate_index_command.rb
>> install -c -m 0644 rubygems/commands/help_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/help_command.rb
>> install -c -m 0644 rubygems/commands/install_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/install_command.rb
>> install -c -m 0644 rubygems/commands/list_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/list_command.rb
>> install -c -m 0644 rubygems/commands/lock_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/lock_command.rb
>> install -c -m 0644 rubygems/commands/mirror_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/mirror_command.rb
>> install -c -m 0644 rubygems/commands/outdated_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/outdated_command.rb
>> install -c -m 0644 rubygems/commands/pristine_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/pristine_command.rb
>> install -c -m 0644 rubygems/commands/query_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/query_command.rb
>> install -c -m 0644 rubygems/commands/rdoc_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/rdoc_command.rb
>> install -c -m 0644 rubygems/commands/search_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/search_command.rb
>> install -c -m 0644 rubygems/commands/server_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/server_command.rb
>> install -c -m 0644 rubygems/commands/sources_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/sources_command.rb
>> install -c -m 0644 rubygems/commands/specification_command.rb /
>> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
>> lib/rubygems/commands/specification_command.rb
>> install -c -m 0644 rubygems/commands/uninstall_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/uninstall_command.rb
>> install -c -m 0644 rubygems/commands/unpack_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/unpack_command.rb
>> install -c -m 0644 rubygems/commands/update_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/update_command.rb
>> install -c -m 0644 rubygems/commands/which_command.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/commands/which_command.rb
>> install -c -m 0644 rubygems/config_file.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> config_file.rb
>> install -c -m 0644 rubygems/custom_require.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> custom_require.rb
>> install -c -m 0644 rubygems/defaults.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/defaults.rb
>> install -c -m 0644 rubygems/dependency.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> dependency.rb
>> install -c -m 0644 rubygems/dependency_installer.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> dependency_installer.rb
>> install -c -m 0644 rubygems/dependency_list.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> dependency_list.rb
>> install -c -m 0644 rubygems/digest/digest_adapter.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/digest/digest_adapter.rb
>> install -c -m 0644 rubygems/digest/md5.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> digest/md5.rb
>> install -c -m 0644 rubygems/digest/sha1.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> digest/sha1.rb
>> install -c -m 0644 rubygems/digest/sha2.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> digest/sha2.rb
>> install -c -m 0644 rubygems/doc_manager.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> doc_manager.rb
>> install -c -m 0644 rubygems/exceptions.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> exceptions.rb
>> install -c -m 0644 rubygems/ext/builder.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> ext/builder.rb
>> install -c -m 0644 rubygems/ext/configure_builder.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/ext/configure_builder.rb
>> install -c -m 0644 rubygems/ext/ext_conf_builder.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> ext/ext_conf_builder.rb
>> install -c -m 0644 rubygems/ext/rake_builder.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> ext/rake_builder.rb
>> install -c -m 0644 rubygems/ext.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/ext.rb
>> install -c -m 0644 rubygems/format.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/format.rb
>> install -c -m 0644 rubygems/gem_open_uri.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> gem_open_uri.rb
>> install -c -m 0644 rubygems/gem_openssl.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> gem_openssl.rb
>> install -c -m 0644 rubygems/gem_path_searcher.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> gem_path_searcher.rb
>> install -c -m 0644 rubygems/gem_runner.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> gem_runner.rb
>> install -c -m 0644 rubygems/indexer/abstract_index_builder.rb /
>> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
>> lib/rubygems/indexer/abstract_index_builder.rb
>> install -c -m 0644 rubygems/indexer/marshal_index_builder.rb /
>> System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/
>> lib/rubygems/indexer/marshal_index_builder.rb
>> install -c -m 0644 rubygems/indexer/master_index_builder.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/indexer/master_index_builder.rb
>> install -c -m 0644 rubygems/indexer/quick_index_builder.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/indexer/quick_index_builder.rb
>> install -c -m 0644 rubygems/indexer.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/indexer.rb
>> install -c -m 0644 rubygems/install_update_options.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/install_update_options.rb
>> install -c -m 0644 rubygems/installer.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/installer.rb
>> install -c -m 0644 rubygems/local_remote_options.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> local_remote_options.rb
>> install -c -m 0644 rubygems/old_format.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> old_format.rb
>> install -c -m 0644 rubygems/open-uri.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/open-uri.rb
>> install -c -m 0644 rubygems/package.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/package.rb
>> install -c -m 0644 rubygems/platform.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/platform.rb
>> install -c -m 0644 rubygems/remote_fetcher.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> remote_fetcher.rb
>> install -c -m 0644 rubygems/require_paths_builder.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/require_paths_builder.rb
>> install -c -m 0644 rubygems/requirement.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> requirement.rb
>> install -c -m 0644 rubygems/rubygems_version.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> rubygems_version.rb
>> install -c -m 0644 rubygems/security.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/security.rb
>> install -c -m 0644 rubygems/server.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/server.rb
>> install -c -m 0644 rubygems/source_index.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> source_index.rb
>> install -c -m 0644 rubygems/source_info_cache.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> source_info_cache.rb
>> install -c -m 0644 rubygems/source_info_cache_entry.rb /System/
>> Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/
>> rubygems/source_info_cache_entry.rb
>> install -c -m 0644 rubygems/specification.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> specification.rb
>> install -c -m 0644 rubygems/timer.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/timer.rb
>> install -c -m 0644 rubygems/uninstaller.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> uninstaller.rb
>> install -c -m 0644 rubygems/user_interaction.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> user_interaction.rb
>> install -c -m 0644 rubygems/validator.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/validator.rb
>> install -c -m 0644 rubygems/version.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/version.rb
>> install -c -m 0644 rubygems/version_option.rb /System/Library/
>> Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems/
>> version_option.rb
>> install -c -m 0644 rubygems.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/rubygems.rb
>> install -c -m 0644 ubygems.rb /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/lib/ubygems.rb
>> cp gem /tmp/gem
>> install -c -m 0755 /tmp/gem /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/bin/gem
>> rm /tmp/gem
>> cp update_rubygems /tmp/update_rubygems
>> install -c -m 0755 /tmp/update_rubygems /System/Library/Frameworks/
>> Ruby.framework/Versions/1.8/usr/lib/ruby/bin/update_rubygems
>> rm /tmp/update_rubygems
>> rm /Library/Ruby/Gems/1.8/source_cache
>> Removing old RubyGems RDoc and ri...
>> rm -rf /Library/Ruby/Gems/1.8/doc/rubygems-1.0.1
>> Installing rubygems-1.0.1 ri into /Library/Ruby/Gems/1.8/doc/
>> rubygems-1.0.1/ri...
>> Installing rubygems-1.0.1 rdoc into /Library/Ruby/Gems/1.8/doc/
>> rubygems-1.0.1/rdoc...
>> As of RubyGems 0.8.0, library stubs are no longer needed.
>> Searching $LOAD_PATH for stubs to optionally delete (may take a
>> while)...
>> ...done.
>> No library stubs found.
>> RubyGems system software updated
>>
>> real 1m19.744s
>> user 0m15.657s
>> sys 0m0.751s
>> Macintosh:~ brianpuccio$
>>
>>

>
>



 
Reply With Quote
 
John Joyce
Guest
Posts: n/a
 
      03-03-2008
yes, it's unfortunately normal.
Gem slows down quite a bit during the metadata update.
Unfortunately.
Some of that may indeed be due to the server for ruby forge.
Gem itself is a pretty cool example of ruby code worth viewing.
You could always customize it.

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Include header files in quotes or less-than greater-than signs? Dwight Army of Champions C++ 4 03-17-2010 06:39 PM
"gem list" and "sudo gem list" yield different results Mike Nicholaides Ruby 3 03-28-2008 02:29 PM
sudo gem install -r webrick FAILED Une Bévue Ruby 2 10-23-2006 05:41 PM
Refresh every minute, on the minute. Denebola Java 3 02-27-2006 07:39 AM
regex problem: 'greater than' 'less than' and 'equals' not matching! falcon Java 10 02-24-2006 01:23 PM



Advertisments